My groups
curl --request GET \
--url https://api.alpha-labs.trade/api/v1/groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-labs.trade/api/v1/groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-labs.trade/api/v1/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uniqueId": "<string>",
"name": "<string>",
"description": "<string>",
"image": "<string>",
"header": "<string>",
"joiningFee": "12.50",
"subscriptionFee": "12.50",
"subscriptionPeriod": "<string>",
"isActive": true,
"performancePnl": {
"allTimePnl": "4.27",
"pnl7Days": "4.27",
"pnl30Days": "4.27"
},
"performanceRank": 123,
"winRate": "4.27",
"tradeCount": 123,
"predictionCount": 123,
"avgReturn": "4.27",
"volatility": "4.27",
"biggestWin": "4.27",
"biggestLoss": "4.27",
"participationRate": "4.27",
"memberCount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"statusCode": 400,
"message": "Query parameter \"groupId\" is required",
"error": "Bad Request",
"code": "NOT_GROUP_MEMBER"
}Groups
My groups
The groups the caller is a member of (your own — there is no discovery of other people’s groups).
GET
/
api
/
v1
/
groups
My groups
Authorizations
Send your API key as Authorization: Bearer murmo_.... Keys are created in the Murmo app. Header-only — keys are never read from the query string. Valid for the REST API under /api/v1 only (not the GraphQL endpoint).
Response
Groups.
Show child attributes
Show child attributes
⌘I